"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getUserConfig = void 0;
const node_path_1 = __importDefault(require("node:path"));
const fs_extra_1 = __importDefault(require("fs-extra"));
const CONFIG_DIR = '.config';
const getUserConfig = (name) => __awaiter(void 0, void 0, void 0, function* () {
    const filename = node_path_1.default.resolve(process.cwd(), CONFIG_DIR, name);
    try {
        yield fs_extra_1.default.access(filename);
        return require(filename);
    }
    catch (_a) {
        return undefined;
    }
});
exports.getUserConfig = getUserConfig;
//# sourceMappingURL=config.js.map